com.sleepycat.db

## Interface BtreePrefixCalculator

    public interface BtreePrefixCalculator

An interface specifying how Btree prefixes should be calculated.

### Method Summary

Methods
`int` `prefix(Database db, DatabaseEntry dbt1, DatabaseEntry dbt2)` The application-specific Btree prefix callback.

### Method Detail

#### prefix

    int prefix(Database db,
             DatabaseEntry dbt1,
             DatabaseEntry dbt2)

The application-specific Btree prefix callback.

Parameters:
  `db` - The enclosing database handle.
  `dbt1` - A database entry representing a database key.
  `dbt2` - A database entry representing a database key.